SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Squid Vendors:   Squid-cache.org
(Ubuntu Issues Fix) Squid HTTP Response Processing Bug Lets Remote Users Cause Denial of Service Conditions
SecurityTracker Alert ID:  1040327
SecurityTracker URL:  http://securitytracker.com/id/1040327
CVE Reference:   CVE-2016-3948   (Links to External Site)
Date:  Feb 5 2018
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 3.0 - 3.5.15, 4.0 - 4.0.7
Description:   A vulnerability was reported in Squid. A remote user can cause denial of service conditions on the target system.

A remote user can send specially crafted HTTP responses to trigger a bounds checking flaw and deny service to all clients connected to the Squid service.

Santiago R. Rincon of Debian reported this vulnerability.

Impact:   A remote user can cause denial of service conditions on the target system.
Solution:   Ubuntu has issued a fix.

The Ubuntu advisory is available at:

https://www.ubuntu.com/usn/usn-3557-1

Vendor URL:  www.ubuntu.com/usn/usn-3557-1 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Ubuntu)
Underlying OS Comments:  14.04 LTS, 16.04 LTS, 17.10

Message History:   This archive entry is a follow-up to the message listed below.
Apr 4 2016 Squid HTTP Response Processing Bug Lets Remote Users Cause Denial of Service Conditions



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC